> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/analytics/analytics.log.md).

# Analytics.log

> Functional API `eventLog`You can use the same feature with it as well.

### Feature description

Logs events occurring in the app. You can record various types such as debugging, info, warning, error, screen, impression, and click. In the sandbox environment, they are output to the console, and in the production environment, they are recorded in the logging system.

`params`for user identification `anonymous_key`is automatically included as a default parameter. If you pass the same key directly, the value you pass takes precedence. `undefined` The value is removed before transmission, and all remaining values are normalized to strings.

Toss app Android/iOS `5.208.0` It can be used in version X and above. In unsupported versions, logs are quietly ignored without an error.

### Type

```ts
Analytics.log(params: EventLogParams): Promise<void>;
```

**Params**

```ts
type EventLogParams = {
  log_name: string;
  log_type:
    | "debug"
    | "info"
    | "warn"
    | "error"
    | "event"
    | "screen"
    | "impression"
    | "click"
    | "popup";
  params: Record<string, string | number | boolean | null | undefined>;
};
```

**Response**

None.

### Example code

#### JavaScript

```js
import { Analytics } from "@apps-in-toss/web-framework";

try {
  await Analytics.log({
    log_name: "user_action",
    log_type: "event",
    params: {
      action: "button_click",
      screen: "main",
      userId: 12345,
    },
  });
} catch (error) {
  console.error(error);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/analytics/analytics.log.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
